#!/bin/sh

## Config
dir="/home/minetest"
time=`date +%Y%m%d-%H%M%S`
backupdir=$dir"/backup/"$time


## Stop game server
echo Server stoped `date` >> $dir/backup/full.log
$dir/stop.sh


## Backup data
echo Backup Started `date` >> $dir/backup/full.log

mkdir $backupdir
# Dump whole world
tar -czf $backupdir/server.tar.gz $dir/.minetest
# Move & compress debug.txt
mv $dir/debug.txt $backupdir
gzip $backupdir/debug.txt
# Move & compress server.log
mv $dir/server.log $backupdir
gzip $backupdir/server.log
# Copy & compress config
cp $dir/mineserver.conf $backupdir
gzip $backupdir/mineserver.conf

echo Backup Completed `date` >> $dir/backup/full.log


## Run game server
echo Server started `date` >> $dir/backup/full.log
$dir/start.sh

